[
    {
        "name": "cakephp/cache",
        "version": "3.7.7",
        "version_normalized": "3.7.7.0",
        "source": {
            "type": "git",
            "url": "https://github.com/cakephp/cache.git",
            "reference": "a354c07ba284508d119d0a05e2f9583b592a2e64"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/cakephp/cache/zipball/a354c07ba284508d119d0a05e2f9583b592a2e64",
            "reference": "a354c07ba284508d119d0a05e2f9583b592a2e64",
            "shasum": "",
            "mirrors": [
                {
                    "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                    "preferred": true
                }
            ]
        },
        "require": {
            "cakephp/core": "^3.6.0",
            "php": ">=5.6.0",
            "psr/simple-cache": "^1.0.0"
        },
        "time": "2019-04-17T01:27:05+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Cake\\Cache\\": "."
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "CakePHP Community",
                "homepage": "https://github.com/cakephp/cache/graphs/contributors"
            }
        ],
        "description": "Easy to use Caching library with support for multiple caching backends",
        "homepage": "https://cakephp.org",
        "keywords": [
            "cache",
            "caching",
            "cakephp"
        ]
    },
    {
        "name": "cakephp/collection",
        "version": "3.7.7",
        "version_normalized": "3.7.7.0",
        "source": {
            "type": "git",
            "url": "https://github.com/cakephp/collection.git",
            "reference": "4c3b790d4703cc88cb75815b0e7f02a1a82b8d57"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/cakephp/collection/zipball/4c3b790d4703cc88cb75815b0e7f02a1a82b8d57",
            "reference": "4c3b790d4703cc88cb75815b0e7f02a1a82b8d57",
            "shasum": "",
            "mirrors": [
                {
                    "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                    "preferred": true
                }
            ]
        },
        "require": {
            "php": ">=5.6.0"
        },
        "time": "2019-01-08T15:11:44+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Cake\\Collection\\": "."
            },
            "files": [
                "functions.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "CakePHP Community",
                "homepage": "https://github.com/cakephp/collection/graphs/contributors"
            }
        ],
        "description": "Work easily with arrays and iterators by having a battery of utility traversal methods",
        "homepage": "https://cakephp.org",
        "keywords": [
            "arrays",
            "cakephp",
            "collections",
            "iterators"
        ]
    },
    {
        "name": "cakephp/core",
        "version": "3.7.7",
        "version_normalized": "3.7.7.0",
        "source": {
            "type": "git",
            "url": "https://github.com/cakephp/core.git",
            "reference": "f9d9823439e3c82fdb3f69d2c9210bab67e721af"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/cakephp/core/zipball/f9d9823439e3c82fdb3f69d2c9210bab67e721af",
            "reference": "f9d9823439e3c82fdb3f69d2c9210bab67e721af",
            "shasum": "",
            "mirrors": [
                {
                    "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                    "preferred": true
                }
            ]
        },
        "require": {
            "cakephp/utility": "^3.6.0",
            "php": ">=5.6.0"
        },
        "suggest": {
            "cakephp/cache": "To use Configure::store() and restore().",
            "cakephp/event": "To use PluginApplicationInterface or plugin applications."
        },
        "time": "2019-04-15T14:21:39+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Cake\\Core\\": "."
            },
            "files": [
                "functions.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "CakePHP Community",
                "homepage": "https://github.com/cakephp/core/graphs/contributors"
            }
        ],
        "description": "CakePHP Framework Core classes",
        "homepage": "https://cakephp.org",
        "keywords": [
            "cakephp",
            "core",
            "framework"
        ]
    },
    {
        "name": "cakephp/database",
        "version": "3.7.7",
        "version_normalized": "3.7.7.0",
        "source": {
            "type": "git",
            "url": "https://github.com/cakephp/database.git",
            "reference": "9347f2edfbc98426e1cd8a9f94a6c879a03d2cb7"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/cakephp/database/zipball/9347f2edfbc98426e1cd8a9f94a6c879a03d2cb7",
            "reference": "9347f2edfbc98426e1cd8a9f94a6c879a03d2cb7",
            "shasum": "",
            "mirrors": [
                {
                    "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                    "preferred": true
                }
            ]
        },
        "require": {
            "cakephp/cache": "^3.6.0",
            "cakephp/core": "^3.6.0",
            "cakephp/datasource": "^3.6.0",
            "cakephp/log": "^3.6.0",
            "php": ">=5.6.0"
        },
        "time": "2019-03-04T17:27:24+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Cake\\Database\\": "."
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "CakePHP Community",
                "homepage": "https://github.com/cakephp/database/graphs/contributors"
            }
        ],
        "description": "Flexible and powerful Database abstraction library with a familiar PDO-like API",
        "homepage": "https://cakephp.org",
        "keywords": [
            "abstraction",
            "cakephp",
            "database",
            "database abstraction",
            "pdo"
        ]
    },
    {
        "name": "cakephp/datasource",
        "version": "3.7.7",
        "version_normalized": "3.7.7.0",
        "source": {
            "type": "git",
            "url": "https://github.com/cakephp/datasource.git",
            "reference": "08b5367426f4ee0388bd598fcf2bb994cd0f92c4"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/cakephp/datasource/zipball/08b5367426f4ee0388bd598fcf2bb994cd0f92c4",
            "reference": "08b5367426f4ee0388bd598fcf2bb994cd0f92c4",
            "shasum": "",
            "mirrors": [
                {
                    "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                    "preferred": true
                }
            ]
        },
        "require": {
            "cakephp/core": "^3.6.0",
            "php": ">=5.6.0"
        },
        "suggest": {
            "cakephp/cache": "If you decide to use Query caching.",
            "cakephp/collection": "If you decide to use ResultSetInterface.",
            "cakephp/utility": "If you decide to use EntityTrait."
        },
        "time": "2019-02-14T16:36:35+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Cake\\Datasource\\": "."
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "CakePHP Community",
                "homepage": "https://github.com/cakephp/datasource/graphs/contributors"
            }
        ],
        "description": "Provides connection managing and traits for Entities and Queries that can be reused for different datastores",
        "homepage": "https://cakephp.org",
        "keywords": [
            "cakephp",
            "connection management",
            "datasource",
            "entity",
            "query"
        ]
    },
    {
        "name": "cakephp/log",
        "version": "3.7.7",
        "version_normalized": "3.7.7.0",
        "source": {
            "type": "git",
            "url": "https://github.com/cakephp/log.git",
            "reference": "f2132d585e848f5273a36ca1b62dfbd56c1557b9"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/cakephp/log/zipball/f2132d585e848f5273a36ca1b62dfbd56c1557b9",
            "reference": "f2132d585e848f5273a36ca1b62dfbd56c1557b9",
            "shasum": "",
            "mirrors": [
                {
                    "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                    "preferred": true
                }
            ]
        },
        "require": {
            "cakephp/core": "^3.6.0",
            "php": ">=5.6.0",
            "psr/log": "^1.0.0"
        },
        "time": "2019-02-05T13:29:41+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Cake\\Log\\": "."
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "CakePHP Community",
                "homepage": "https://github.com/cakephp/log/graphs/contributors"
            }
        ],
        "description": "CakePHP logging library with support for multiple different streams",
        "homepage": "https://cakephp.org",
        "keywords": [
            "Streams",
            "cakephp",
            "log",
            "logging"
        ]
    },
    {
        "name": "cakephp/utility",
        "version": "3.7.7",
        "version_normalized": "3.7.7.0",
        "source": {
            "type": "git",
            "url": "https://github.com/cakephp/utility.git",
            "reference": "329654495c4cf966ac75832e502ec939542928fb"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/cakephp/utility/zipball/329654495c4cf966ac75832e502ec939542928fb",
            "reference": "329654495c4cf966ac75832e502ec939542928fb",
            "shasum": "",
            "mirrors": [
                {
                    "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                    "preferred": true
                }
            ]
        },
        "require": {
            "cakephp/core": "^3.6.0",
            "php": ">=5.6.0"
        },
        "suggest": {
            "ext-intl": "To use Text::transliterate() or Text::slug()",
            "lib-ICU": "To use Text::transliterate() or Text::slug()"
        },
        "time": "2019-03-14T14:41:29+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Cake\\Utility\\": "."
            },
            "files": [
                "bootstrap.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "CakePHP Community",
                "homepage": "https://github.com/cakephp/utility/graphs/contributors"
            }
        ],
        "description": "CakePHP Utility classes such as Inflector, String, Hash, and Security",
        "homepage": "https://cakephp.org",
        "keywords": [
            "cakephp",
            "hash",
            "inflector",
            "security",
            "string",
            "utility"
        ]
    },
    {
        "name": "firebase/php-jwt",
        "version": "v5.2.0",
        "version_normalized": "5.2.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/firebase/php-jwt.git",
            "reference": "feb0e820b8436873675fd3aca04f3728eb2185cb"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/firebase/php-jwt/zipball/feb0e820b8436873675fd3aca04f3728eb2185cb",
            "reference": "feb0e820b8436873675fd3aca04f3728eb2185cb",
            "shasum": "",
            "mirrors": [
                {
                    "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                    "preferred": true
                }
            ]
        },
        "require": {
            "php": ">=5.3.0"
        },
        "require-dev": {
            "phpunit/phpunit": ">=4.8 <=9"
        },
        "time": "2020-03-25T18:49:23+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Firebase\\JWT\\": "src"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "BSD-3-Clause"
        ],
        "authors": [
            {
                "name": "Neuman Vong",
                "email": "neuman+pear@twilio.com",
                "role": "Developer"
            },
            {
                "name": "Anant Narayanan",
                "email": "anant@php.net",
                "role": "Developer"
            }
        ],
        "description": "A simple library to encode and decode JSON Web Tokens (JWT) in PHP. Should conform to the current spec.",
        "homepage": "https://github.com/firebase/php-jwt",
        "keywords": [
            "jwt",
            "php"
        ]
    },
    {
        "name": "guzzlehttp/guzzle",
        "version": "7.2.0",
        "version_normalized": "7.2.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/guzzle/guzzle.git",
            "reference": "0aa74dfb41ae110835923ef10a9d803a22d50e79"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/guzzle/guzzle/zipball/0aa74dfb41ae110835923ef10a9d803a22d50e79",
            "reference": "0aa74dfb41ae110835923ef10a9d803a22d50e79",
            "shasum": "",
            "mirrors": [
                {
                    "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                    "preferred": true
                }
            ]
        },
        "require": {
            "ext-json": "*",
            "guzzlehttp/promises": "^1.4",
            "guzzlehttp/psr7": "^1.7",
            "php": "^7.2.5 || ^8.0",
            "psr/http-client": "^1.0"
        },
        "provide": {
            "psr/http-client-implementation": "1.0"
        },
        "require-dev": {
            "ext-curl": "*",
            "php-http/client-integration-tests": "^3.0",
            "phpunit/phpunit": "^8.5.5 || ^9.3.5",
            "psr/log": "^1.1"
        },
        "suggest": {
            "ext-curl": "Required for CURL handler support",
            "ext-intl": "Required for Internationalized Domain Name (IDN) support",
            "psr/log": "Required for using the Log middleware"
        },
        "time": "2020-10-10T11:47:56+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "7.1-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "GuzzleHttp\\": "src/"
            },
            "files": [
                "src/functions_include.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Michael Dowling",
                "email": "mtdowling@gmail.com",
                "homepage": "https://github.com/mtdowling"
            },
            {
                "name": "Márk Sági-Kazár",
                "email": "mark.sagikazar@gmail.com",
                "homepage": "https://sagikazarmark.hu"
            }
        ],
        "description": "Guzzle is a PHP HTTP client library",
        "homepage": "http://guzzlephp.org/",
        "keywords": [
            "client",
            "curl",
            "framework",
            "http",
            "http client",
            "psr-18",
            "psr-7",
            "rest",
            "web service"
        ],
        "funding": [
            {
                "url": "https://github.com/GrahamCampbell",
                "type": "github"
            },
            {
                "url": "https://github.com/Nyholm",
                "type": "github"
            },
            {
                "url": "https://github.com/alexeyshockov",
                "type": "github"
            },
            {
                "url": "https://github.com/gmponos",
                "type": "github"
            }
        ]
    },
    {
        "name": "guzzlehttp/promises",
        "version": "1.4.0",
        "version_normalized": "1.4.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/guzzle/promises.git",
            "reference": "60d379c243457e073cff02bc323a2a86cb355631"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/guzzle/promises/zipball/60d379c243457e073cff02bc323a2a86cb355631",
            "reference": "60d379c243457e073cff02bc323a2a86cb355631",
            "shasum": "",
            "mirrors": [
                {
                    "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                    "preferred": true
                }
            ]
        },
        "require": {
            "php": ">=5.5"
        },
        "require-dev": {
            "symfony/phpunit-bridge": "^4.4 || ^5.1"
        },
        "time": "2020-09-30T07:37:28+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.4-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "GuzzleHttp\\Promise\\": "src/"
            },
            "files": [
                "src/functions_include.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Michael Dowling",
                "email": "mtdowling@gmail.com",
                "homepage": "https://github.com/mtdowling"
            }
        ],
        "description": "Guzzle promises library",
        "keywords": [
            "promise"
        ]
    },
    {
        "name": "guzzlehttp/psr7",
        "version": "1.7.0",
        "version_normalized": "1.7.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/guzzle/psr7.git",
            "reference": "53330f47520498c0ae1f61f7e2c90f55690c06a3"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/guzzle/psr7/zipball/53330f47520498c0ae1f61f7e2c90f55690c06a3",
            "reference": "53330f47520498c0ae1f61f7e2c90f55690c06a3",
            "shasum": "",
            "mirrors": [
                {
                    "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                    "preferred": true
                }
            ]
        },
        "require": {
            "php": ">=5.4.0",
            "psr/http-message": "~1.0",
            "ralouphie/getallheaders": "^2.0.5 || ^3.0.0"
        },
        "provide": {
            "psr/http-message-implementation": "1.0"
        },
        "require-dev": {
            "ext-zlib": "*",
            "phpunit/phpunit": "~4.8.36 || ^5.7.27 || ^6.5.14 || ^7.5.20 || ^8.5.8 || ^9.3.10"
        },
        "suggest": {
            "laminas/laminas-httphandlerrunner": "Emit PSR-7 responses"
        },
        "time": "2020-09-30T07:37:11+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.7-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "GuzzleHttp\\Psr7\\": "src/"
            },
            "files": [
                "src/functions_include.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Michael Dowling",
                "email": "mtdowling@gmail.com",
                "homepage": "https://github.com/mtdowling"
            },
            {
                "name": "Tobias Schultze",
                "homepage": "https://github.com/Tobion"
            }
        ],
        "description": "PSR-7 message implementation that also provides common utility methods",
        "keywords": [
            "http",
            "message",
            "psr-7",
            "request",
            "response",
            "stream",
            "uri",
            "url"
        ]
    },
    {
        "name": "psr/http-client",
        "version": "1.0.1",
        "version_normalized": "1.0.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/php-fig/http-client.git",
            "reference": "2dfb5f6c5eff0e91e20e913f8c5452ed95b86621"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/php-fig/http-client/zipball/2dfb5f6c5eff0e91e20e913f8c5452ed95b86621",
            "reference": "2dfb5f6c5eff0e91e20e913f8c5452ed95b86621",
            "shasum": "",
            "mirrors": [
                {
                    "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                    "preferred": true
                }
            ]
        },
        "require": {
            "php": "^7.0 || ^8.0",
            "psr/http-message": "^1.0"
        },
        "time": "2020-06-29T06:28:15+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.0.x-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Psr\\Http\\Client\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "PHP-FIG",
                "homepage": "http://www.php-fig.org/"
            }
        ],
        "description": "Common interface for HTTP clients",
        "homepage": "https://github.com/php-fig/http-client",
        "keywords": [
            "http",
            "http-client",
            "psr",
            "psr-18"
        ]
    },
    {
        "name": "psr/http-message",
        "version": "1.0.1",
        "version_normalized": "1.0.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/php-fig/http-message.git",
            "reference": "f6561bf28d520154e4b0ec72be95418abe6d9363"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/php-fig/http-message/zipball/f6561bf28d520154e4b0ec72be95418abe6d9363",
            "reference": "f6561bf28d520154e4b0ec72be95418abe6d9363",
            "shasum": "",
            "mirrors": [
                {
                    "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                    "preferred": true
                }
            ]
        },
        "require": {
            "php": ">=5.3.0"
        },
        "time": "2016-08-06T14:39:51+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.0.x-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Psr\\Http\\Message\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "PHP-FIG",
                "homepage": "http://www.php-fig.org/"
            }
        ],
        "description": "Common interface for HTTP messages",
        "homepage": "https://github.com/php-fig/http-message",
        "keywords": [
            "http",
            "http-message",
            "psr",
            "psr-7",
            "request",
            "response"
        ]
    },
    {
        "name": "psr/log",
        "version": "1.1.0",
        "version_normalized": "1.1.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/php-fig/log.git",
            "reference": "6c001f1daafa3a3ac1d8ff69ee4db8e799a654dd"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/php-fig/log/zipball/6c001f1daafa3a3ac1d8ff69ee4db8e799a654dd",
            "reference": "6c001f1daafa3a3ac1d8ff69ee4db8e799a654dd",
            "shasum": "",
            "mirrors": [
                {
                    "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                    "preferred": true
                }
            ]
        },
        "require": {
            "php": ">=5.3.0"
        },
        "time": "2018-11-20T15:27:04+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.0.x-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Psr\\Log\\": "Psr/Log/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "PHP-FIG",
                "homepage": "http://www.php-fig.org/"
            }
        ],
        "description": "Common interface for logging libraries",
        "homepage": "https://github.com/php-fig/log",
        "keywords": [
            "log",
            "psr",
            "psr-3"
        ]
    },
    {
        "name": "psr/simple-cache",
        "version": "1.0.1",
        "version_normalized": "1.0.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/php-fig/simple-cache.git",
            "reference": "408d5eafb83c57f6365a3ca330ff23aa4a5fa39b"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/php-fig/simple-cache/zipball/408d5eafb83c57f6365a3ca330ff23aa4a5fa39b",
            "reference": "408d5eafb83c57f6365a3ca330ff23aa4a5fa39b",
            "shasum": "",
            "mirrors": [
                {
                    "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                    "preferred": true
                }
            ]
        },
        "require": {
            "php": ">=5.3.0"
        },
        "time": "2017-10-23T01:57:42+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.0.x-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Psr\\SimpleCache\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "PHP-FIG",
                "homepage": "http://www.php-fig.org/"
            }
        ],
        "description": "Common interfaces for simple caching",
        "keywords": [
            "cache",
            "caching",
            "psr",
            "psr-16",
            "simple-cache"
        ]
    },
    {
        "name": "ralouphie/getallheaders",
        "version": "3.0.3",
        "version_normalized": "3.0.3.0",
        "source": {
            "type": "git",
            "url": "https://github.com/ralouphie/getallheaders.git",
            "reference": "120b605dfeb996808c31b6477290a714d356e822"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/ralouphie/getallheaders/zipball/120b605dfeb996808c31b6477290a714d356e822",
            "reference": "120b605dfeb996808c31b6477290a714d356e822",
            "shasum": "",
            "mirrors": [
                {
                    "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                    "preferred": true
                }
            ]
        },
        "require": {
            "php": ">=5.6"
        },
        "require-dev": {
            "php-coveralls/php-coveralls": "^2.1",
            "phpunit/phpunit": "^5 || ^6.5"
        },
        "time": "2019-03-08T08:55:37+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "files": [
                "src/getallheaders.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Ralph Khattar",
                "email": "ralph.khattar@gmail.com"
            }
        ],
        "description": "A polyfill for getallheaders."
    },
    {
        "name": "roave/security-advisories",
        "version": "dev-master",
        "version_normalized": "9999999-dev",
        "source": {
            "type": "git",
            "url": "https://github.com/Roave/SecurityAdvisories.git",
            "reference": "676668eda60bb8a32bd2a4efcb12c96d6e1c4bc6"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/Roave/SecurityAdvisories/zipball/676668eda60bb8a32bd2a4efcb12c96d6e1c4bc6",
            "reference": "676668eda60bb8a32bd2a4efcb12c96d6e1c4bc6",
            "shasum": "",
            "mirrors": [
                {
                    "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                    "preferred": true
                }
            ]
        },
        "conflict": {
            "3f/pygmentize": "<1.2",
            "adodb/adodb-php": "<5.20.12",
            "alterphp/easyadmin-extension-bundle": ">=1.2,<1.2.11|>=1.3,<1.3.1",
            "amphp/artax": "<1.0.6|>=2,<2.0.6",
            "amphp/http": "<1.0.1",
            "amphp/http-client": ">=4,<4.4",
            "api-platform/core": ">=2.2,<2.2.10|>=2.3,<2.3.6",
            "asymmetricrypt/asymmetricrypt": ">=0,<9.9.99",
            "aws/aws-sdk-php": ">=3,<3.2.1",
            "bagisto/bagisto": "<0.1.5",
            "barrelstrength/sprout-base-email": "<1.2.7",
            "barrelstrength/sprout-forms": "<3.9",
            "baserproject/basercms": ">=4,<=4.3.6|>=4.4,<4.4.1",
            "bolt/bolt": "<3.7.1",
            "brightlocal/phpwhois": "<=4.2.5",
            "buddypress/buddypress": "<5.1.2",
            "bugsnag/bugsnag-laravel": ">=2,<2.0.2",
            "cakephp/cakephp": ">=1.3,<1.3.18|>=2,<2.4.99|>=2.5,<2.5.99|>=2.6,<2.6.12|>=2.7,<2.7.6|>=3,<3.5.18|>=3.6,<3.6.15|>=3.7,<3.7.7",
            "cart2quote/module-quotation": ">=4.1.6,<=4.4.5|>=5,<5.4.4",
            "cartalyst/sentry": "<=2.1.6",
            "centreon/centreon": "<18.10.8|>=19,<19.4.5",
            "cesnet/simplesamlphp-module-proxystatistics": "<3.1",
            "codeigniter/framework": "<=3.0.6",
            "composer/composer": "<=1-alpha.11",
            "contao-components/mediaelement": ">=2.14.2,<2.21.1",
            "contao/core": ">=2,<3.5.39",
            "contao/core-bundle": ">=4,<4.4.52|>=4.5,<4.9.6|= 4.10.0",
            "contao/listing-bundle": ">=4,<4.4.8",
            "datadog/dd-trace": ">=0.30,<0.30.2",
            "david-garcia/phpwhois": "<=4.3.1",
            "derhansen/sf_event_mgt": "<4.3.1|>=5,<5.1.1",
            "doctrine/annotations": ">=1,<1.2.7",
            "doctrine/cache": ">=1,<1.3.2|>=1.4,<1.4.2",
            "doctrine/common": ">=2,<2.4.3|>=2.5,<2.5.1",
            "doctrine/dbal": ">=2,<2.0.8|>=2.1,<2.1.2",
            "doctrine/doctrine-bundle": "<1.5.2",
            "doctrine/doctrine-module": "<=0.7.1",
            "doctrine/mongodb-odm": ">=1,<1.0.2",
            "doctrine/mongodb-odm-bundle": ">=2,<3.0.1",
            "doctrine/orm": ">=2,<2.4.8|>=2.5,<2.5.1",
            "dolibarr/dolibarr": "<11.0.4",
            "dompdf/dompdf": ">=0.6,<0.6.2",
            "drupal/core": ">=7,<7.74|>=8,<8.8.11|>=8.9,<8.9.9|>=9,<9.0.8",
            "drupal/drupal": ">=7,<7.74|>=8,<8.8.11|>=8.9,<8.9.9|>=9,<9.0.8",
            "endroid/qr-code-bundle": "<3.4.2",
            "enshrined/svg-sanitize": "<0.13.1",
            "erusev/parsedown": "<1.7.2",
            "ezsystems/demobundle": ">=5.4,<5.4.6.1",
            "ezsystems/ez-support-tools": ">=2.2,<2.2.3",
            "ezsystems/ezdemo-ls-extension": ">=5.4,<5.4.2.1",
            "ezsystems/ezfind-ls": ">=5.3,<5.3.6.1|>=5.4,<5.4.11.1|>=2017.12,<2017.12.0.1",
            "ezsystems/ezplatform": ">=1.7,<1.7.9.1|>=1.13,<1.13.5.1|>=2.5,<2.5.4",
            "ezsystems/ezplatform-admin-ui": ">=1.3,<1.3.5|>=1.4,<1.4.6",
            "ezsystems/ezplatform-admin-ui-assets": ">=4,<4.2.1|>=5,<5.0.1|>=5.1,<5.1.1",
            "ezsystems/ezplatform-kernel": ">=1,<1.0.2.1",
            "ezsystems/ezplatform-user": ">=1,<1.0.1",
            "ezsystems/ezpublish-kernel": ">=5.3,<5.3.12.1|>=5.4,<5.4.14.2|>=6,<6.7.9.1|>=6.8,<6.13.6.3|>=7,<7.2.4.1|>=7.3,<7.3.2.1|>=7.5,<7.5.7.1",
            "ezsystems/ezpublish-legacy": ">=5.3,<5.3.12.6|>=5.4,<5.4.14.2|>=2011,<2017.12.7.3|>=2018.6,<2018.6.1.4|>=2018.9,<2018.9.1.3|>=2019.3,<2019.3.5.1",
            "ezsystems/platform-ui-assets-bundle": ">=4.2,<4.2.3",
            "ezsystems/repository-forms": ">=2.3,<2.3.2.1",
            "ezyang/htmlpurifier": "<4.1.1",
            "firebase/php-jwt": "<2",
            "fooman/tcpdf": "<6.2.22",
            "fossar/tcpdf-parser": "<6.2.22",
            "friendsofsymfony/oauth2-php": "<1.3",
            "friendsofsymfony/rest-bundle": ">=1.2,<1.2.2",
            "friendsofsymfony/user-bundle": ">=1.2,<1.3.5",
            "friendsoftypo3/mediace": ">=7.6.2,<7.6.5",
            "fuel/core": "<1.8.1",
            "getgrav/grav": "<1.7-beta.8",
            "gos/web-socket-bundle": "<1.10.4|>=2,<2.6.1|>=3,<3.3",
            "gree/jose": "<=2.2",
            "gregwar/rst": "<1.0.3",
            "guzzlehttp/guzzle": ">=4-rc.2,<4.2.4|>=5,<5.3.1|>=6,<6.2.1",
            "illuminate/auth": ">=4,<4.0.99|>=4.1,<=4.1.31|>=4.2,<=4.2.22|>=5,<=5.0.35|>=5.1,<=5.1.46|>=5.2,<=5.2.45|>=5.3,<=5.3.31|>=5.4,<=5.4.36|>=5.5,<5.5.10",
            "illuminate/cookie": ">=4,<=4.0.11|>=4.1,<=4.1.99999|>=4.2,<=4.2.99999|>=5,<=5.0.99999|>=5.1,<=5.1.99999|>=5.2,<=5.2.99999|>=5.3,<=5.3.99999|>=5.4,<=5.4.99999|>=5.5,<=5.5.49|>=5.6,<=5.6.99999|>=5.7,<=5.7.99999|>=5.8,<=5.8.99999|>=6,<6.18.31|>=7,<7.22.4",
            "illuminate/database": ">=4,<4.0.99|>=4.1,<4.1.29|>=5.5,<=5.5.44|>=6,<6.18.34|>=7,<7.23.2",
            "illuminate/encryption": ">=4,<=4.0.11|>=4.1,<=4.1.31|>=4.2,<=4.2.22|>=5,<=5.0.35|>=5.1,<=5.1.46|>=5.2,<=5.2.45|>=5.3,<=5.3.31|>=5.4,<=5.4.36|>=5.5,<5.5.40|>=5.6,<5.6.15",
            "illuminate/view": ">=7,<7.1.2",
            "ivankristianto/phpwhois": "<=4.3",
            "james-heinrich/getid3": "<1.9.9",
            "joomla/session": "<1.3.1",
            "jsmitty12/phpwhois": "<5.1",
            "kazist/phpwhois": "<=4.2.6",
            "kitodo/presentation": "<3.1.2",
            "kreait/firebase-php": ">=3.2,<3.8.1",
            "la-haute-societe/tcpdf": "<6.2.22",
            "laravel/framework": ">=4,<4.0.99|>=4.1,<=4.1.99999|>=4.2,<=4.2.99999|>=5,<=5.0.99999|>=5.1,<=5.1.99999|>=5.2,<=5.2.99999|>=5.3,<=5.3.99999|>=5.4,<=5.4.99999|>=5.5,<=5.5.49|>=5.6,<=5.6.99999|>=5.7,<=5.7.99999|>=5.8,<=5.8.99999|>=6,<6.18.34|>=7,<7.23.2",
            "laravel/socialite": ">=1,<1.0.99|>=2,<2.0.10",
            "league/commonmark": "<0.18.3",
            "librenms/librenms": "<1.53",
            "livewire/livewire": ">2.2.4,<2.2.6",
            "magento/community-edition": ">=2,<2.2.10|>=2.3,<2.3.3",
            "magento/magento1ce": "<1.9.4.3",
            "magento/magento1ee": ">=1,<1.14.4.3",
            "magento/product-community-edition": ">=2,<2.2.10|>=2.3,<2.3.2-p.2",
            "marcwillmann/turn": "<0.3.3",
            "mediawiki/core": ">=1.27,<1.27.6|>=1.29,<1.29.3|>=1.30,<1.30.2|>=1.31,<1.31.9|>=1.32,<1.32.6|>=1.32.99,<1.33.3|>=1.33.99,<1.34.3|>=1.34.99,<1.35",
            "mittwald/typo3_forum": "<1.2.1",
            "monolog/monolog": ">=1.8,<1.12",
            "namshi/jose": "<2.2",
            "nette/application": ">=2,<2.0.19|>=2.1,<2.1.13|>=2.2,<2.2.10|>=2.3,<2.3.14|>=2.4,<2.4.16|>=3,<3.0.6",
            "nette/nette": ">=2,<2.0.19|>=2.1,<2.1.13",
            "nystudio107/craft-seomatic": "<3.3",
            "nzo/url-encryptor-bundle": ">=4,<4.3.2|>=5,<5.0.1",
            "october/backend": ">=1.0.319,<1.0.470",
            "october/cms": "= 1.0.469|>=1.0.319,<1.0.469",
            "october/october": ">=1.0.319,<1.0.466",
            "october/rain": ">=1.0.319,<1.0.468",
            "onelogin/php-saml": "<2.10.4",
            "oneup/uploader-bundle": "<1.9.3|>=2,<2.1.5",
            "openid/php-openid": "<2.3",
            "openmage/magento-lts": "<19.4.8|>=20,<20.0.4",
            "orchid/platform": ">=9,<9.4.4",
            "oro/crm": ">=1.7,<1.7.4",
            "oro/platform": ">=1.7,<1.7.4",
            "padraic/humbug_get_contents": "<1.1.2",
            "pagarme/pagarme-php": ">=0,<3",
            "paragonie/random_compat": "<2",
            "passbolt/passbolt_api": "<2.11",
            "paypal/merchant-sdk-php": "<3.12",
            "pear/archive_tar": "<1.4.11",
            "personnummer/personnummer": "<3.0.2",
            "phpfastcache/phpfastcache": ">=5,<5.0.13",
            "phpmailer/phpmailer": "<6.1.6",
            "phpmussel/phpmussel": ">=1,<1.6",
            "phpmyadmin/phpmyadmin": "<4.9.6|>=5,<5.0.3",
            "phpoffice/phpexcel": "<1.8.2",
            "phpoffice/phpspreadsheet": "<1.8",
            "phpunit/phpunit": ">=4.8.19,<4.8.28|>=5.0.10,<5.6.3",
            "phpwhois/phpwhois": "<=4.2.5",
            "phpxmlrpc/extras": "<0.6.1",
            "pimcore/pimcore": "<6.3",
            "pocketmine/pocketmine-mp": "<3.15.4",
            "prestashop/autoupgrade": ">=4,<4.10.1",
            "prestashop/contactform": ">1.0.1,<4.3",
            "prestashop/gamification": "<2.3.2",
            "prestashop/productcomments": ">=4,<4.2",
            "prestashop/ps_facetedsearch": "<3.4.1",
            "privatebin/privatebin": "<1.2.2|>=1.3,<1.3.2",
            "propel/propel": ">=2-alpha.1,<=2-alpha.7",
            "propel/propel1": ">=1,<=1.7.1",
            "pterodactyl/panel": "<0.7.19|>=1-rc.0,<=1-rc.6",
            "pusher/pusher-php-server": "<2.2.1",
            "rainlab/debugbar-plugin": "<3.1",
            "robrichards/xmlseclibs": "<3.0.4",
            "sabberworm/php-css-parser": ">=1,<1.0.1|>=2,<2.0.1|>=3,<3.0.1|>=4,<4.0.1|>=5,<5.0.9|>=5.1,<5.1.3|>=5.2,<5.2.1|>=6,<6.0.2|>=7,<7.0.4|>=8,<8.0.1|>=8.1,<8.1.1|>=8.2,<8.2.1|>=8.3,<8.3.1",
            "sabre/dav": ">=1.6,<1.6.99|>=1.7,<1.7.11|>=1.8,<1.8.9",
            "scheb/two-factor-bundle": ">=0,<3.26|>=4,<4.11",
            "sensiolabs/connect": "<4.2.3",
            "serluck/phpwhois": "<=4.2.6",
            "shopware/core": "<=6.3.2",
            "shopware/platform": "<=6.3.2",
            "shopware/shopware": "<5.6.9",
            "silverstripe/admin": ">=1.0.3,<1.0.4|>=1.1,<1.1.1",
            "silverstripe/assets": ">=1,<1.4.7|>=1.5,<1.5.2",
            "silverstripe/cms": "<4.3.6|>=4.4,<4.4.4",
            "silverstripe/comments": ">=1.3,<1.9.99|>=2,<2.9.99|>=3,<3.1.1",
            "silverstripe/forum": "<=0.6.1|>=0.7,<=0.7.3",
            "silverstripe/framework": "<4.4.7|>=4.5,<4.5.4",
            "silverstripe/graphql": ">=2,<2.0.5|>=3,<3.1.2|>=3.2,<3.2.4",
            "silverstripe/registry": ">=2.1,<2.1.2|>=2.2,<2.2.1",
            "silverstripe/restfulserver": ">=1,<1.0.9|>=2,<2.0.4",
            "silverstripe/subsites": ">=2,<2.1.1",
            "silverstripe/taxonomy": ">=1.3,<1.3.1|>=2,<2.0.1",
            "silverstripe/userforms": "<3",
            "simple-updates/phpwhois": "<=1",
            "simplesamlphp/saml2": "<1.10.6|>=2,<2.3.8|>=3,<3.1.4",
            "simplesamlphp/simplesamlphp": "<1.18.6",
            "simplesamlphp/simplesamlphp-module-infocard": "<1.0.1",
            "simplito/elliptic-php": "<1.0.6",
            "slim/slim": "<2.6",
            "smarty/smarty": "<3.1.33",
            "socalnick/scn-social-auth": "<1.15.2",
            "spoonity/tcpdf": "<6.2.22",
            "squizlabs/php_codesniffer": ">=1,<2.8.1|>=3,<3.0.1",
            "ssddanbrown/bookstack": "<0.29.2",
            "stormpath/sdk": ">=0,<9.9.99",
            "studio-42/elfinder": "<2.1.49",
            "sulu/sulu": "<1.6.34|>=2,<2.0.10|>=2.1,<2.1.1",
            "swiftmailer/swiftmailer": ">=4,<5.4.5",
            "sylius/admin-bundle": ">=1,<1.0.17|>=1.1,<1.1.9|>=1.2,<1.2.2",
            "sylius/grid": ">=1,<1.1.19|>=1.2,<1.2.18|>=1.3,<1.3.13|>=1.4,<1.4.5|>=1.5,<1.5.1",
            "sylius/grid-bundle": ">=1,<1.1.19|>=1.2,<1.2.18|>=1.3,<1.3.13|>=1.4,<1.4.5|>=1.5,<1.5.1",
            "sylius/resource-bundle": "<1.3.14|>=1.4,<1.4.7|>=1.5,<1.5.2|>=1.6,<1.6.4",
            "sylius/sylius": "<1.6.9|>=1.7,<1.7.9|>=1.8,<1.8.3",
            "symbiote/silverstripe-multivaluefield": ">=3,<3.0.99",
            "symbiote/silverstripe-versionedfiles": "<=2.0.3",
            "symfony/cache": ">=3.1,<3.4.35|>=4,<4.2.12|>=4.3,<4.3.8",
            "symfony/dependency-injection": ">=2,<2.0.17|>=2.7,<2.7.51|>=2.8,<2.8.50|>=3,<3.4.26|>=4,<4.1.12|>=4.2,<4.2.7",
            "symfony/error-handler": ">=4.4,<4.4.4|>=5,<5.0.4",
            "symfony/form": ">=2.3,<2.3.35|>=2.4,<2.6.12|>=2.7,<2.7.50|>=2.8,<2.8.49|>=3,<3.4.20|>=4,<4.0.15|>=4.1,<4.1.9|>=4.2,<4.2.1",
            "symfony/framework-bundle": ">=2,<2.3.18|>=2.4,<2.4.8|>=2.5,<2.5.2|>=2.7,<2.7.51|>=2.8,<2.8.50|>=3,<3.4.26|>=4,<4.1.12|>=4.2,<4.2.7",
            "symfony/http-foundation": ">=2,<2.8.52|>=3,<3.4.35|>=4,<4.2.12|>=4.3,<4.3.8|>=4.4,<4.4.7|>=5,<5.0.7",
            "symfony/http-kernel": ">=2,<2.8.52|>=3,<3.4.35|>=4,<4.2.12|>=4.3,<4.4.13|>=5,<5.1.5",
            "symfony/intl": ">=2.7,<2.7.38|>=2.8,<2.8.31|>=3,<3.2.14|>=3.3,<3.3.13",
            "symfony/mime": ">=4.3,<4.3.8",
            "symfony/phpunit-bridge": ">=2.8,<2.8.50|>=3,<3.4.26|>=4,<4.1.12|>=4.2,<4.2.7",
            "symfony/polyfill": ">=1,<1.10",
            "symfony/polyfill-php55": ">=1,<1.10",
            "symfony/proxy-manager-bridge": ">=2.7,<2.7.51|>=2.8,<2.8.50|>=3,<3.4.26|>=4,<4.1.12|>=4.2,<4.2.7",
            "symfony/routing": ">=2,<2.0.19",
            "symfony/security": ">=2,<2.7.51|>=2.8,<2.8.50|>=3,<3.4.26|>=4,<4.1.12|>=4.2,<4.2.7|>=4.4,<4.4.7|>=5,<5.0.7",
            "symfony/security-bundle": ">=2,<2.7.48|>=2.8,<2.8.41|>=3,<3.3.17|>=3.4,<3.4.11|>=4,<4.0.11",
            "symfony/security-core": ">=2.4,<2.6.13|>=2.7,<2.7.9|>=2.7.30,<2.7.32|>=2.8,<2.8.37|>=3,<3.3.17|>=3.4,<3.4.7|>=4,<4.0.7",
            "symfony/security-csrf": ">=2.4,<2.7.48|>=2.8,<2.8.41|>=3,<3.3.17|>=3.4,<3.4.11|>=4,<4.0.11",
            "symfony/security-guard": ">=2.8,<2.8.41|>=3,<3.3.17|>=3.4,<3.4.11|>=4,<4.0.11",
            "symfony/security-http": ">=2.3,<2.3.41|>=2.4,<2.7.51|>=2.8,<2.8.50|>=3,<3.4.26|>=4,<4.2.12|>=4.3,<4.3.8|>=4.4,<4.4.7|>=5,<5.0.7",
            "symfony/serializer": ">=2,<2.0.11",
            "symfony/symfony": ">=2,<2.8.52|>=3,<3.4.35|>=4,<4.2.12|>=4.3,<4.4.13|>=5,<5.1.5",
            "symfony/translation": ">=2,<2.0.17",
            "symfony/validator": ">=2,<2.0.24|>=2.1,<2.1.12|>=2.2,<2.2.5|>=2.3,<2.3.3",
            "symfony/var-exporter": ">=4.2,<4.2.12|>=4.3,<4.3.8",
            "symfony/web-profiler-bundle": ">=2,<2.3.19|>=2.4,<2.4.9|>=2.5,<2.5.4",
            "symfony/yaml": ">=2,<2.0.22|>=2.1,<2.1.7",
            "t3g/svg-sanitizer": "<1.0.3",
            "tecnickcom/tcpdf": "<6.2.22",
            "thelia/backoffice-default-template": ">=2.1,<2.1.2",
            "thelia/thelia": ">=2.1-beta.1,<2.1.3",
            "theonedemon/phpwhois": "<=4.2.5",
            "titon/framework": ">=0,<9.9.99",
            "truckersmp/phpwhois": "<=4.3.1",
            "twig/twig": "<1.38|>=2,<2.7",
            "typo3/cms": ">=6.2,<6.2.30|>=7,<7.6.32|>=8,<8.7.38|>=9,<9.5.23|>=10,<10.4.10",
            "typo3/cms-core": ">=8,<8.7.38|>=9,<9.5.23|>=10,<10.4.10",
            "typo3/flow": ">=1,<1.0.4|>=1.1,<1.1.1|>=2,<2.0.1|>=2.3,<2.3.16|>=3,<3.0.10|>=3.1,<3.1.7|>=3.2,<3.2.7|>=3.3,<3.3.5",
            "typo3/neos": ">=1.1,<1.1.3|>=1.2,<1.2.13|>=2,<2.0.4",
            "typo3/phar-stream-wrapper": ">=1,<2.1.1|>=3,<3.1.1",
            "typo3fluid/fluid": ">=2,<2.0.8|>=2.1,<2.1.7|>=2.2,<2.2.4|>=2.3,<2.3.7|>=2.4,<2.4.4|>=2.5,<2.5.11|>=2.6,<2.6.10",
            "ua-parser/uap-php": "<3.8",
            "usmanhalalit/pixie": "<1.0.3|>=2,<2.0.2",
            "verot/class.upload.php": "<=1.0.3|>=2,<=2.0.4",
            "wallabag/tcpdf": "<6.2.22",
            "willdurand/js-translation-bundle": "<2.1.1",
            "yii2mod/yii2-cms": "<1.9.2",
            "yiisoft/yii": ">=1.1.14,<1.1.15",
            "yiisoft/yii2": "<2.0.38",
            "yiisoft/yii2-bootstrap": "<2.0.4",
            "yiisoft/yii2-dev": "<2.0.15",
            "yiisoft/yii2-elasticsearch": "<2.0.5",
            "yiisoft/yii2-gii": "<2.0.4",
            "yiisoft/yii2-jui": "<2.0.4",
            "yiisoft/yii2-redis": "<2.0.8",
            "yourls/yourls": "<1.7.4",
            "zendframework/zend-cache": ">=2.4,<2.4.8|>=2.5,<2.5.3",
            "zendframework/zend-captcha": ">=2,<2.4.9|>=2.5,<2.5.2",
            "zendframework/zend-crypt": ">=2,<2.4.9|>=2.5,<2.5.2",
            "zendframework/zend-db": ">=2,<2.0.99|>=2.1,<2.1.99|>=2.2,<2.2.10|>=2.3,<2.3.5",
            "zendframework/zend-developer-tools": ">=1.2.2,<1.2.3",
            "zendframework/zend-diactoros": ">=1,<1.8.4",
            "zendframework/zend-feed": ">=1,<2.10.3",
            "zendframework/zend-form": ">=2,<2.2.7|>=2.3,<2.3.1",
            "zendframework/zend-http": ">=1,<2.8.1",
            "zendframework/zend-json": ">=2.1,<2.1.6|>=2.2,<2.2.6",
            "zendframework/zend-ldap": ">=2,<2.0.99|>=2.1,<2.1.99|>=2.2,<2.2.8|>=2.3,<2.3.3",
            "zendframework/zend-mail": ">=2,<2.4.11|>=2.5,<2.7.2",
            "zendframework/zend-navigation": ">=2,<2.2.7|>=2.3,<2.3.1",
            "zendframework/zend-session": ">=2,<2.0.99|>=2.1,<2.1.99|>=2.2,<2.2.9|>=2.3,<2.3.4",
            "zendframework/zend-validator": ">=2.3,<2.3.6",
            "zendframework/zend-view": ">=2,<2.2.7|>=2.3,<2.3.1",
            "zendframework/zend-xmlrpc": ">=2.1,<2.1.6|>=2.2,<2.2.6",
            "zendframework/zendframework": "<2.5.1",
            "zendframework/zendframework1": "<1.12.20",
            "zendframework/zendopenid": ">=2,<2.0.2",
            "zendframework/zendxml": ">=1,<1.0.1",
            "zetacomponents/mail": "<1.8.2",
            "zf-commons/zfc-user": "<1.2.2",
            "zfcampus/zf-apigility-doctrine": ">=1,<1.0.3",
            "zfr/zfr-oauth2-server-module": "<0.1.2"
        },
        "time": "2020-12-02T06:02:50+00:00",
        "type": "metapackage",
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Marco Pivetta",
                "email": "ocramius@gmail.com",
                "role": "maintainer"
            },
            {
                "name": "Ilya Tribusean",
                "email": "slash3b@gmail.com",
                "role": "maintainer"
            }
        ],
        "description": "Prevents installation of composer packages with known security vulnerabilities: no API, simply require it",
        "funding": [
            {
                "url": "https://github.com/Ocramius",
                "type": "github"
            },
            {
                "url": "https://tidelift.com/funding/github/packagist/roave/security-advisories",
                "type": "tidelift"
            }
        ]
    },
    {
        "name": "robmorgan/phinx",
        "version": "0.10.7",
        "version_normalized": "0.10.7.0",
        "source": {
            "type": "git",
            "url": "https://github.com/cakephp/phinx.git",
            "reference": "ba2dae98bb69d39531311e8fd72dd51e8e06ff32"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/cakephp/phinx/zipball/ba2dae98bb69d39531311e8fd72dd51e8e06ff32",
            "reference": "ba2dae98bb69d39531311e8fd72dd51e8e06ff32",
            "shasum": "",
            "mirrors": [
                {
                    "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                    "preferred": true
                }
            ]
        },
        "require": {
            "cakephp/collection": "^3.6",
            "cakephp/database": "^3.6",
            "php": ">=5.6",
            "symfony/config": "^2.8|^3.0|^4.0",
            "symfony/console": "^2.8|^3.0|^4.0",
            "symfony/yaml": "^2.8|^3.0|^4.0"
        },
        "require-dev": {
            "cakephp/cakephp-codesniffer": "^3.0",
            "phpunit/phpunit": ">=5.7,<7.0",
            "sebastian/comparator": ">=1.2.3"
        },
        "time": "2019-04-25T09:12:16+00:00",
        "bin": [
            "bin/phinx"
        ],
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Phinx\\": "src/Phinx/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Woody Gilk",
                "email": "woody.gilk@gmail.com",
                "homepage": "http://shadowhand.me",
                "role": "Developer"
            },
            {
                "name": "Rob Morgan",
                "email": "robbym@gmail.com",
                "homepage": "https://robmorgan.id.au",
                "role": "Lead Developer"
            },
            {
                "name": "Richard Quadling",
                "email": "rquadling@gmail.com",
                "role": "Developer"
            },
            {
                "name": "CakePHP Community",
                "homepage": "https://github.com/cakephp/phinx/graphs/contributors"
            }
        ],
        "description": "Phinx makes it ridiculously easy to manage the database migrations for your PHP app.",
        "homepage": "https://phinx.org",
        "keywords": [
            "database",
            "database migrations",
            "db",
            "migrations",
            "phinx"
        ]
    },
    {
        "name": "symfony/config",
        "version": "v4.2.8",
        "version_normalized": "4.2.8.0",
        "source": {
            "type": "git",
            "url": "https://github.com/symfony/config.git",
            "reference": "0e745ead307d5dcd4e163e94a47ec04b1428943f"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/symfony/config/zipball/0e745ead307d5dcd4e163e94a47ec04b1428943f",
            "reference": "0e745ead307d5dcd4e163e94a47ec04b1428943f",
            "shasum": "",
            "mirrors": [
                {
                    "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                    "preferred": true
                }
            ]
        },
        "require": {
            "php": "^7.1.3",
            "symfony/filesystem": "~3.4|~4.0",
            "symfony/polyfill-ctype": "~1.8"
        },
        "conflict": {
            "symfony/finder": "<3.4"
        },
        "require-dev": {
            "symfony/dependency-injection": "~3.4|~4.0",
            "symfony/event-dispatcher": "~3.4|~4.0",
            "symfony/finder": "~3.4|~4.0",
            "symfony/yaml": "~3.4|~4.0"
        },
        "suggest": {
            "symfony/yaml": "To use the yaml reference dumper"
        },
        "time": "2019-04-01T14:03:25+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "4.2-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Symfony\\Component\\Config\\": ""
            },
            "exclude-from-classmap": [
                "/Tests/"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Fabien Potencier",
                "email": "fabien@symfony.com"
            },
            {
                "name": "Symfony Community",
                "homepage": "https://symfony.com/contributors"
            }
        ],
        "description": "Symfony Config Component",
        "homepage": "https://symfony.com"
    },
    {
        "name": "symfony/console",
        "version": "v4.2.8",
        "version_normalized": "4.2.8.0",
        "source": {
            "type": "git",
            "url": "https://github.com/symfony/console.git",
            "reference": "e2840bb38bddad7a0feaf85931e38fdcffdb2f81"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/symfony/console/zipball/e2840bb38bddad7a0feaf85931e38fdcffdb2f81",
            "reference": "e2840bb38bddad7a0feaf85931e38fdcffdb2f81",
            "shasum": "",
            "mirrors": [
                {
                    "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                    "preferred": true
                }
            ]
        },
        "require": {
            "php": "^7.1.3",
            "symfony/contracts": "^1.0",
            "symfony/polyfill-mbstring": "~1.0"
        },
        "conflict": {
            "symfony/dependency-injection": "<3.4",
            "symfony/process": "<3.3"
        },
        "provide": {
            "psr/log-implementation": "1.0"
        },
        "require-dev": {
            "psr/log": "~1.0",
            "symfony/config": "~3.4|~4.0",
            "symfony/dependency-injection": "~3.4|~4.0",
            "symfony/event-dispatcher": "~3.4|~4.0",
            "symfony/lock": "~3.4|~4.0",
            "symfony/process": "~3.4|~4.0"
        },
        "suggest": {
            "psr/log": "For using the console logger",
            "symfony/event-dispatcher": "",
            "symfony/lock": "",
            "symfony/process": ""
        },
        "time": "2019-04-08T14:23:48+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "4.2-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Symfony\\Component\\Console\\": ""
            },
            "exclude-from-classmap": [
                "/Tests/"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Fabien Potencier",
                "email": "fabien@symfony.com"
            },
            {
                "name": "Symfony Community",
                "homepage": "https://symfony.com/contributors"
            }
        ],
        "description": "Symfony Console Component",
        "homepage": "https://symfony.com"
    },
    {
        "name": "symfony/contracts",
        "version": "v1.1.0",
        "version_normalized": "1.1.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/symfony/contracts.git",
            "reference": "d3636025e8253c6144358ec0a62773cae588395b"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/symfony/contracts/zipball/d3636025e8253c6144358ec0a62773cae588395b",
            "reference": "d3636025e8253c6144358ec0a62773cae588395b",
            "shasum": "",
            "mirrors": [
                {
                    "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                    "preferred": true
                }
            ]
        },
        "require": {
            "php": "^7.1.3"
        },
        "require-dev": {
            "psr/cache": "^1.0",
            "psr/container": "^1.0",
            "symfony/polyfill-intl-idn": "^1.10"
        },
        "suggest": {
            "psr/cache": "When using the Cache contracts",
            "psr/container": "When using the Service contracts",
            "symfony/cache-contracts-implementation": "",
            "symfony/event-dispatcher-implementation": "",
            "symfony/http-client-contracts-implementation": "",
            "symfony/service-contracts-implementation": "",
            "symfony/translation-contracts-implementation": ""
        },
        "time": "2019-04-27T14:29:50+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.1-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Symfony\\Contracts\\": ""
            },
            "exclude-from-classmap": [
                "**/Tests/"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Nicolas Grekas",
                "email": "p@tchwork.com"
            },
            {
                "name": "Symfony Community",
                "homepage": "https://symfony.com/contributors"
            }
        ],
        "description": "A set of abstractions extracted out of the Symfony components",
        "homepage": "https://symfony.com",
        "keywords": [
            "abstractions",
            "contracts",
            "decoupling",
            "interfaces",
            "interoperability",
            "standards"
        ]
    },
    {
        "name": "symfony/filesystem",
        "version": "v4.2.8",
        "version_normalized": "4.2.8.0",
        "source": {
            "type": "git",
            "url": "https://github.com/symfony/filesystem.git",
            "reference": "e16b9e471703b2c60b95f14d31c1239f68f11601"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/symfony/filesystem/zipball/e16b9e471703b2c60b95f14d31c1239f68f11601",
            "reference": "e16b9e471703b2c60b95f14d31c1239f68f11601",
            "shasum": "",
            "mirrors": [
                {
                    "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                    "preferred": true
                }
            ]
        },
        "require": {
            "php": "^7.1.3",
            "symfony/polyfill-ctype": "~1.8"
        },
        "time": "2019-02-07T11:40:08+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "4.2-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Symfony\\Component\\Filesystem\\": ""
            },
            "exclude-from-classmap": [
                "/Tests/"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Fabien Potencier",
                "email": "fabien@symfony.com"
            },
            {
                "name": "Symfony Community",
                "homepage": "https://symfony.com/contributors"
            }
        ],
        "description": "Symfony Filesystem Component",
        "homepage": "https://symfony.com"
    },
    {
        "name": "symfony/polyfill-ctype",
        "version": "v1.11.0",
        "version_normalized": "1.11.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/symfony/polyfill-ctype.git",
            "reference": "82ebae02209c21113908c229e9883c419720738a"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/symfony/polyfill-ctype/zipball/82ebae02209c21113908c229e9883c419720738a",
            "reference": "82ebae02209c21113908c229e9883c419720738a",
            "shasum": "",
            "mirrors": [
                {
                    "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                    "preferred": true
                }
            ]
        },
        "require": {
            "php": ">=5.3.3"
        },
        "suggest": {
            "ext-ctype": "For best performance"
        },
        "time": "2019-02-06T07:57:58+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.11-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Symfony\\Polyfill\\Ctype\\": ""
            },
            "files": [
                "bootstrap.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Symfony Community",
                "homepage": "https://symfony.com/contributors"
            },
            {
                "name": "Gert de Pagter",
                "email": "BackEndTea@gmail.com"
            }
        ],
        "description": "Symfony polyfill for ctype functions",
        "homepage": "https://symfony.com",
        "keywords": [
            "compatibility",
            "ctype",
            "polyfill",
            "portable"
        ]
    },
    {
        "name": "symfony/polyfill-mbstring",
        "version": "v1.11.0",
        "version_normalized": "1.11.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/symfony/polyfill-mbstring.git",
            "reference": "fe5e94c604826c35a32fa832f35bd036b6799609"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/symfony/polyfill-mbstring/zipball/fe5e94c604826c35a32fa832f35bd036b6799609",
            "reference": "fe5e94c604826c35a32fa832f35bd036b6799609",
            "shasum": "",
            "mirrors": [
                {
                    "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                    "preferred": true
                }
            ]
        },
        "require": {
            "php": ">=5.3.3"
        },
        "suggest": {
            "ext-mbstring": "For best performance"
        },
        "time": "2019-02-06T07:57:58+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.11-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Symfony\\Polyfill\\Mbstring\\": ""
            },
            "files": [
                "bootstrap.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Nicolas Grekas",
                "email": "p@tchwork.com"
            },
            {
                "name": "Symfony Community",
                "homepage": "https://symfony.com/contributors"
            }
        ],
        "description": "Symfony polyfill for the Mbstring extension",
        "homepage": "https://symfony.com",
        "keywords": [
            "compatibility",
            "mbstring",
            "polyfill",
            "portable",
            "shim"
        ]
    },
    {
        "name": "symfony/yaml",
        "version": "v4.2.8",
        "version_normalized": "4.2.8.0",
        "source": {
            "type": "git",
            "url": "https://github.com/symfony/yaml.git",
            "reference": "6712daf03ee25b53abb14e7e8e0ede1a770efdb1"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/symfony/yaml/zipball/6712daf03ee25b53abb14e7e8e0ede1a770efdb1",
            "reference": "6712daf03ee25b53abb14e7e8e0ede1a770efdb1",
            "shasum": "",
            "mirrors": [
                {
                    "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                    "preferred": true
                }
            ]
        },
        "require": {
            "php": "^7.1.3",
            "symfony/polyfill-ctype": "~1.8"
        },
        "conflict": {
            "symfony/console": "<3.4"
        },
        "require-dev": {
            "symfony/console": "~3.4|~4.0"
        },
        "suggest": {
            "symfony/console": "For validating YAML files using the lint command"
        },
        "time": "2019-03-30T15:58:42+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "4.2-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Symfony\\Component\\Yaml\\": ""
            },
            "exclude-from-classmap": [
                "/Tests/"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Fabien Potencier",
                "email": "fabien@symfony.com"
            },
            {
                "name": "Symfony Community",
                "homepage": "https://symfony.com/contributors"
            }
        ],
        "description": "Symfony Yaml Component",
        "homepage": "https://symfony.com"
    },
    {
        "name": "topthink/framework",
        "version": "v5.1.37",
        "version_normalized": "5.1.37.0",
        "source": {
            "type": "git",
            "url": "https://github.com/top-think/framework.git",
            "reference": "c434854cbb5e680ecaf4c7191ddb7e672059d286"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/top-think/framework/zipball/c434854cbb5e680ecaf4c7191ddb7e672059d286",
            "reference": "c434854cbb5e680ecaf4c7191ddb7e672059d286",
            "shasum": "",
            "mirrors": [
                {
                    "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                    "preferred": true
                }
            ]
        },
        "require": {
            "php": ">=5.6.0",
            "topthink/think-installer": "2.*"
        },
        "require-dev": {
            "johnkary/phpunit-speedtrap": "^1.0",
            "mikey179/vfsstream": "~1.6",
            "phpdocumentor/reflection-docblock": "^2.0",
            "phploc/phploc": "2.*",
            "phpunit/phpunit": "^5.0|^6.0",
            "sebastian/phpcpd": "2.*",
            "squizlabs/php_codesniffer": "2.*"
        },
        "time": "2019-05-24T03:04:09+00:00",
        "type": "think-framework",
        "installation-source": "dist",
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "Apache-2.0"
        ],
        "authors": [
            {
                "name": "liu21st",
                "email": "liu21st@gmail.com"
            },
            {
                "name": "yunwuxin",
                "email": "448901948@qq.com"
            }
        ],
        "description": "the new thinkphp framework",
        "homepage": "http://thinkphp.cn/",
        "keywords": [
            "framework",
            "orm",
            "thinkphp"
        ]
    },
    {
        "name": "topthink/think-installer",
        "version": "v2.0.0",
        "version_normalized": "2.0.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/top-think/think-installer.git",
            "reference": "f5400a12c60e513911aef41fe443fa6920952675"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/top-think/think-installer/zipball/f5400a12c60e513911aef41fe443fa6920952675",
            "reference": "f5400a12c60e513911aef41fe443fa6920952675",
            "shasum": "",
            "mirrors": [
                {
                    "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                    "preferred": true
                }
            ]
        },
        "require": {
            "composer-plugin-api": "^1.0"
        },
        "require-dev": {
            "composer/composer": "1.0.*@dev"
        },
        "time": "2018-05-11T06:45:42+00:00",
        "type": "composer-plugin",
        "extra": {
            "class": "think\\composer\\Plugin"
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "think\\composer\\": "src"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "Apache-2.0"
        ],
        "authors": [
            {
                "name": "yunwuxin",
                "email": "448901948@qq.com"
            }
        ]
    }
]
